summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xtarget/linux/ar71xx/base-files/sbin/wget2nand7
1 files changed, 5 insertions, 2 deletions
diff --git a/target/linux/ar71xx/base-files/sbin/wget2nand b/target/linux/ar71xx/base-files/sbin/wget2nand
index 99823be84..171e3fa6d 100755
--- a/target/linux/ar71xx/base-files/sbin/wget2nand
+++ b/target/linux/ar71xx/base-files/sbin/wget2nand
@@ -28,7 +28,7 @@ url=$1
}
url_kernel=$url/openwrt-ar71xx-vmlinux.elf
-url_rootfs=$url/openwrt-ar71xx-rootfs.tgz
+url_rootfs=$url/openwrt-ar71xx-rootfs.tar.gz
mtd_kernel="$(find_mtd_part 'kernel')"
mtd_rootfs="$(find_mtd_part 'rootfs')"
@@ -60,7 +60,10 @@ mount -t yaffs2 "$mtd_kernel" "$mnt_kernel"
mount -t yaffs2 "$mtd_rootfs" "$mnt_rootfs"
echo "Copying kernel..."
-cp $src_kernel $mnt_kernel/kernel
+cp $src_kernel $mnt_kernel/kernel || {
+ echo "Error occured while copying the kernel"
+ exit 1
+}
chmod +x $mnt_kernel/kernel
echo "Preparing filesystem..."